Package org.apache.synapse.transport.passthru.core.ssl

## Class SSLConfiguration

- java.lang.Object
- - org.apache.synapse.transport.passthru.core.ssl.SSLConfiguration

-     public class SSLConfiguration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSLConfiguration​(String keyStore, String trustStore, String clientAuthEl, String httpsProtocolsEl, String revocationVerifier, String sslProtocol, String preferredCiphersEl)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClientAuthEl()` |
    `org.apache.axiom.om.OMElement` | `getClientAuthElement()` |
    `org.apache.axiom.om.OMElement` | `getHttpsProtocolElement()` |
    `String` | `getHttpsProtocolsEl()` |
    `String` | `getKeyStore()` |
    `org.apache.axiom.om.OMElement` | `getKeyStoreElement()` |
    `String` | `getPreferredCiphersEl()` |
    `org.apache.axiom.om.OMElement` | `getPreferredCiphersElement()` | Return a OMElement of preferred ciphers parameter values.
    `String` | `getRevocationVerifier()` |
    `org.apache.axiom.om.OMElement` | `getRevocationVerifierElement()` |
    `String` | `getSslProtocol()` |
    `String` | `getTrustStore()` |
    `org.apache.axiom.om.OMElement` | `getTrustStoreElement()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLConfiguration

          public SSLConfiguration​(String keyStore,
                                  String trustStore,
                                  String clientAuthEl,
                                  String httpsProtocolsEl,
                                  String revocationVerifier,
                                  String sslProtocol,
                                  String preferredCiphersEl)

  - ### Method Detail

    - #### getKeyStoreElement

          public org.apache.axiom.om.OMElement getKeyStoreElement()

    - #### getClientAuthElement

          public org.apache.axiom.om.OMElement getClientAuthElement()

    - #### getTrustStoreElement

          public org.apache.axiom.om.OMElement getTrustStoreElement()

    - #### getRevocationVerifierElement

          public org.apache.axiom.om.OMElement getRevocationVerifierElement()

    - #### getHttpsProtocolElement

          public org.apache.axiom.om.OMElement getHttpsProtocolElement()

    - #### getPreferredCiphersEl

          public String getPreferredCiphersEl()

    - #### getPreferredCiphersElement

          public org.apache.axiom.om.OMElement getPreferredCiphersElement()

      Return a OMElement of preferred ciphers parameter values.
      Returns:
        OMElement

    - #### getSslProtocol

          public String getSslProtocol()

    - #### getKeyStore

          public String getKeyStore()

    - #### getTrustStore

          public String getTrustStore()

    - #### getClientAuthEl

          public String getClientAuthEl()

    - #### getHttpsProtocolsEl

          public String getHttpsProtocolsEl()

    - #### getRevocationVerifier

          public String getRevocationVerifier()